Loading...
Searching...
No Matches
const_buffer

Unsettled API - A pointer to an immutable memory region with a size. More...

`#include <connection_driver.hpp>`

## Public Member Functions

| const_buffer (const char *data_=0, size_t size_=0)
| Construct a buffer starting at data_ with size_ bytes.

## Public Attributes

const char * | data
| Beginning of the buffered data.
size_t | size
| Number of bytes in the buffer.

## Detailed Description

Unsettled API - A pointer to an immutable memory region with a size.

The documentation for this struct was generated from the following file:

- proton/io/connection_driver.hpp